import { Module } from '@nestjs/common';
import { TransactionService } from './transaction.service';
import { TransactionController } from './transaction.controller';
import { PpobCallbackController } from './ppob_callback.controller';

@Module({
  controllers: [TransactionController, PpobCallbackController],
  providers: [TransactionService],
})
export class TransactionModule {}
