import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Roles } from './entities/roles.entity';
import { ConfigurableController } from './configurable.controller';
import { ConfigurableService } from './configurable.service';

@Module({
  imports: [TypeOrmModule.forFeature([Roles])],
  controllers: [ConfigurableController],
  providers: [ConfigurableService],
})
export class ConfigurableModule {}
